Get user public profiles
curl --request POST \
--url https://profiles.platform.arb.inc/users/public-profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userIDs": [
"2720f109-0caf-4c62-af22-5d08c853711c",
"8f3e9d2a-1b4c-5e6f-7a8b-9c0d1e2f3a4b"
]
}
'import requests
url = "https://profiles.platform.arb.inc/users/public-profiles"
payload = { "userIDs": ["2720f109-0caf-4c62-af22-5d08c853711c", "8f3e9d2a-1b4c-5e6f-7a8b-9c0d1e2f3a4b"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userIDs: ['2720f109-0caf-4c62-af22-5d08c853711c', '8f3e9d2a-1b4c-5e6f-7a8b-9c0d1e2f3a4b']
})
};
fetch('https://profiles.platform.arb.inc/users/public-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profiles": [
{
"id": "2720f109-0caf-4c62-af22-5d08c853711c",
"first_name": "John",
"last_name": "Doe"
}
]
}users
Get user public profiles
Returns public profile data including first name and last name for specified user IDs. Maximum 1000 user IDs per request. This endpoint returns only publicly visible information.
POST
/
users
/
public-profiles
Get user public profiles
Authorizations
access token
Body
application/json
List of user IDs to retrieve profiles for (maximum 1000)
Example:
[
"2720f109-0caf-4c62-af22-5d08c853711c",
"8f3e9d2a-1b4c-5e6f-7a8b-9c0d1e2f3a4b"
]
Response
User public profiles retrieved successfully
Show child attributes
Show child attributes
⌘I